package com.emr.entity;

import java.io.Serializable;
import java.util.Date;

public class ArchivePrintinfo implements Serializable {
    private Long id;

    private String printUserid;

    private String printUsername;

    private Date printCreatetime;

    private String archiveDetailId;

    private String masterid;

    private String patientId;

    private String name;

    private String admissId;

    private Integer admissTimes;

    private String assortId;

    private String assortName;

    private String filetitle;

    private Integer pagecount;

    private String sys;

    private String c1;

    private String c2;

    private Integer d1;

    private Integer d2;

    private Date t1;

    private Date t2;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPrintUserid() {
        return printUserid;
    }

    public void setPrintUserid(String printUserid) {
        this.printUserid = printUserid == null ? null : printUserid.trim();
    }

    public String getPrintUsername() {
        return printUsername;
    }

    public void setPrintUsername(String printUsername) {
        this.printUsername = printUsername == null ? null : printUsername.trim();
    }

    public Date getPrintCreatetime() {
        return printCreatetime;
    }

    public void setPrintCreatetime(Date printCreatetime) {
        this.printCreatetime = printCreatetime;
    }

    public String getArchiveDetailId() {
        return archiveDetailId;
    }

    public void setArchiveDetailId(String archiveDetailId) {
        this.archiveDetailId = archiveDetailId == null ? null : archiveDetailId.trim();
    }

    public String getMasterid() {
        return masterid;
    }

    public void setMasterid(String masterid) {
        this.masterid = masterid == null ? null : masterid.trim();
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId == null ? null : patientId.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getAdmissId() {
        return admissId;
    }

    public void setAdmissId(String admissId) {
        this.admissId = admissId == null ? null : admissId.trim();
    }

    public Integer getAdmissTimes() {
        return admissTimes;
    }

    public void setAdmissTimes(Integer admissTimes) {
        this.admissTimes = admissTimes;
    }

    public String getAssortId() {
        return assortId;
    }

    public void setAssortId(String assortId) {
        this.assortId = assortId == null ? null : assortId.trim();
    }

    public String getAssortName() {
        return assortName;
    }

    public void setAssortName(String assortName) {
        this.assortName = assortName == null ? null : assortName.trim();
    }

    public String getFiletitle() {
        return filetitle;
    }

    public void setFiletitle(String filetitle) {
        this.filetitle = filetitle == null ? null : filetitle.trim();
    }

    public Integer getPagecount() {
        return pagecount;
    }

    public void setPagecount(Integer pagecount) {
        this.pagecount = pagecount;
    }

    public String getSys() {
        return sys;
    }

    public void setSys(String sys) {
        this.sys = sys == null ? null : sys.trim();
    }

    public String getC1() {
        return c1;
    }

    public void setC1(String c1) {
        this.c1 = c1 == null ? null : c1.trim();
    }

    public String getC2() {
        return c2;
    }

    public void setC2(String c2) {
        this.c2 = c2 == null ? null : c2.trim();
    }

    public Integer getD1() {
        return d1;
    }

    public void setD1(Integer d1) {
        this.d1 = d1;
    }

    public Integer getD2() {
        return d2;
    }

    public void setD2(Integer d2) {
        this.d2 = d2;
    }

    public Date getT1() {
        return t1;
    }

    public void setT1(Date t1) {
        this.t1 = t1;
    }

    public Date getT2() {
        return t2;
    }

    public void setT2(Date t2) {
        this.t2 = t2;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", printUserid=").append(printUserid);
        sb.append(", printUsername=").append(printUsername);
        sb.append(", printCreatetime=").append(printCreatetime);
        sb.append(", archiveDetailId=").append(archiveDetailId);
        sb.append(", masterid=").append(masterid);
        sb.append(", patientId=").append(patientId);
        sb.append(", name=").append(name);
        sb.append(", admissId=").append(admissId);
        sb.append(", admissTimes=").append(admissTimes);
        sb.append(", assortId=").append(assortId);
        sb.append(", assortName=").append(assortName);
        sb.append(", filetitle=").append(filetitle);
        sb.append(", pagecount=").append(pagecount);
        sb.append(", sys=").append(sys);
        sb.append(", c1=").append(c1);
        sb.append(", c2=").append(c2);
        sb.append(", d1=").append(d1);
        sb.append(", d2=").append(d2);
        sb.append(", t1=").append(t1);
        sb.append(", t2=").append(t2);
        sb.append("]");
        return sb.toString();
    }
}